export class Setting {
  id: string;
  allowJobDeletion: boolean;
  allowProductDeletion: boolean;
  allowAutomaticPims: boolean;
  allowSeciPimsDeletion: boolean;
}

export class QueueSetting {
  name: string;
  autoCreateJob: boolean;
  autoSubmitJob: boolean;
}

export class FileTemplate {
  contentType: string;
  documentation: string;
  id: number;
  name: string;
}

export class WorkflowSetting {
  archivalWorkflow: any;
  enqueue: boolean;
  fileTemplates: Array<FileTemplate>;
  host: string;
  id: number;
  json: boolean;
  name: string;
  port: number;
  projectCodes: Array<any>;
  taskTemplates: Array<any>;
}
